{% extends 'base.html' %}

{% block content %}
    <main>
        <div>
            <h1>My Projects</h1>
            <a href="{% url "create_project" %}">Create a new project</a>
            {% if projects_list %}
                <table>
                    <thead>
                        <th>Name</th>
                        <th>Number of tasks</th>
                    </thead>
                    <tbody>
                        {% for project in projects_list %}
                            <tr>
                                <td>
                                    <a href="{% url "show_project" project.id %}">{{project.name}}</a>
                                </td>
                                <td>
                                    {{project.tasks.all | length}}
                                </td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            {% else %}
                <p>You are not assigned to any projects</p>
            {% endif %}
        </div>
    </main>
{% endblock content %}
